[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# KillThread

Kill a running thread

## Declaration

Source position: threadh.inc line 139

`function KillThread(`
`threadHandle: TThreadID`
`):DWord;`

## Description

KillThread causes a running thread to be aborted. The thread is identified by it's handle or ID threadHandle.

The function returns zero if succesful. A nonzero return value indicates failure.

## Errors

If a failure occurred, a nonzero result is returned. The meaning is system dependent.

## See also

WaitForThreadTerminate |  | Wait for a thread to terminate.
EndThread |  | End the current thread.
SuspendThread |  | Suspend a running thread.

Documentation generated on: Feb 26 2014